Appearance
Remove File Storage
DELETE/public/storage/file/{fileId}Permanently remove a file from your storage. This action cannot be undone.
Endpoint Details
- Authentication: Basic Auth (
Authorization: Basic Base64(AccessKey:SecretKey)) - Access Tier: Addon Storage
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
fileId | string | Yes | The unique ID of the file to remove. |
Example Request
bash
curl -X DELETE "https://api.repliz.com/public/storage/file/680affa5ce12f2f72916f67e" \
-H "Authorization: Basic $(echo -n 'YOUR_ACCESS_KEY:YOUR_SECRET_KEY' | base64)"javascript
import axios from "axios";
const fileId = "680affa5ce12f2f72916f67e";
const response = await axios.delete(
`https://api.repliz.com/public/storage/file/${fileId}`,
{
auth: {
username: "YOUR_ACCESS_KEY",
password: "YOUR_SECRET_KEY",
},
},
);
console.log(response.data);javascript
const credentials = btoa("YOUR_ACCESS_KEY:YOUR_SECRET_KEY");
const fileId = "680affa5ce12f2f72916f67e";
const response = await fetch(
`https://api.repliz.com/public/storage/file/${fileId}`,
{
method: "DELETE",
headers: {
Authorization: `Basic ${credentials}`,
},
},
);
const data = await response.json();
console.log(data);Response
json
// No content returned on successjson
{
"code": 404,
"message": "file not found"
}json
{
"code": 401,
"message": "unauthorized"
}